OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.TransformFeedback2

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_transform_feedback2 extension, see http://www.opengl.org/registry/specs/ARB/transform_feedback2.txt.

Synopsis

- glBindTransformFeedback :: GLenum -> GLuint -> IO ()
- glDeleteTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()
- glGenTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()
- glIsTransformFeedback :: GLuint -> IO GLboolean
- glPauseTransformFeedback :: IO ()
- glResumeTransformFeedback :: IO ()
- glDrawTransformFeedback :: GLenum -> GLuint -> IO ()
- gl_TRANSFORM_FEEDBACK :: GLenum
- gl_TRANSFORM_FEEDBACK_PAUSED :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum
- gl_TRANSFORM_FEEDBACK_ACTIVE :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum
- gl_TRANSFORM_FEEDBACK_BINDING :: GLenum

# Functions

glBindTransformFeedback :: GLenum -> GLuint -> IO ()

glDeleteTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()

glGenTransformFeedbacks :: GLsizei -> Ptr GLuint -> IO ()

glIsTransformFeedback :: GLuint -> IO GLboolean

glPauseTransformFeedback :: IO ()

glResumeTransformFeedback :: IO ()

glDrawTransformFeedback :: GLenum -> GLuint -> IO ()

# Tokens

gl_TRANSFORM_FEEDBACK :: GLenum

gl_TRANSFORM_FEEDBACK_PAUSED :: GLenum

Legacy name.

gl_TRANSFORM_FEEDBACK_BUFFER_PAUSED :: GLenum

gl_TRANSFORM_FEEDBACK_ACTIVE :: GLenum

Legacy name.

gl_TRANSFORM_FEEDBACK_BUFFER_ACTIVE :: GLenum

gl_TRANSFORM_FEEDBACK_BINDING :: GLenum